var CodeMirrorConfig = {
    height: "100%",
    parserfile: ["parsexml.js", "parsecss.js", "tokenizejavascript.js", "parsejavascript.js", "parsehtmlmixed.js"],
    stylesheet: ["css/highlight.css"],
    path: "js/",
    iframeClass: "code",
    passDelay: 10,
    lineNumbers: true,
    lineNumberDelay: 200,
    reindentOnLoad: true,
    initCallback: loadTemplate
}

function xmlRequest() {
    try { return new XMLHttpRequest(); } catch(e) {}
    try { return new ActiveXObject("Msxml2.XMLHTTP"); } catch(e) {}
    try { return new ActiveXObject("Microsoft.XMLHTTP"); } catch(e) {}
    return false;
}

function doit() {
    parent["data"].document.open();
    parent["data"].document.write(editor.getCode());
    parent["data"].document.close();
}

function loadTemplate() {
    var tc = document.getElementById("templates").options;
    var file = tc[tc.selectedIndex].value;
    var req = xmlRequest();
    if (req) {
        req.open("GET", "templates/"+file, false);
        req.send(null);
        editor.setCode(req.responseText);
    }
    
}

function Go(x) {
    if (x != "nothing") {
        var mc = document.getElementById("metacat").options;
        var sdd = mc[mc.selectedIndex].innerHTML.toLowerCase() + "/"
        parent.frames["data"].location.href = "selfhtml/" + sdd + x;
    }
}

function Go1 () {
    var mc = document.getElementById("metacat").options;
    var url = "selfhtml/navigation/quickbar/"+mc[mc.selectedIndex].value;

    var req = xmlRequest();
    if (req) {
        req.open("GET", url, false);
        req.send(null);
        document.getElementById("subcat").innerHTML = req.responseText;
    }
}
